// UnrealSampleLog.cpp : Implementation of CUnrealSampleLog

#include "stdafx.h"
#include "UnrealSampleLog.h"

#include <atlstr.h>


// CUnrealSampleLog

STDMETHODIMP CUnrealSampleLog::InterfaceSupportsErrorInfo(REFIID riid)
{
	static const IID* arr[] = 
	{
		&IID_IUnrealSampleLog
	};

	for (int i=0; i < sizeof(arr) / sizeof(arr[0]); i++)
	{
		if (InlineIsEqualGUID(*arr[i],riid))
			return S_OK;
	}
	return S_FALSE;
}

STDMETHODIMP CUnrealSampleLog::LogIn(BSTR sUserName, BSTR sTime, BSTR sResourceName)
{
	//Put your code to enter Login info into your custom storage 
	//such as file, database etc...
	//This method should not block for a long time

	try
	{
		USES_CONVERSION;
		CString sTotal = CString(_T("LOGIN\t")) + CString(W2T(sUserName)) + CString(_T("; ")) + CString(W2T(sTime)) + CString(_T("; ")) + CString(W2T(sResourceName));
		OutputDebugString(sTotal);
	}
	catch(...)
	{

	}

	return S_OK;
}

STDMETHODIMP CUnrealSampleLog::LogOut(BSTR sUserName, BSTR sTime, LONG nKBytesTransfered)
{
	//Put your code to enter Logout info into your custom storage 
	//such as file, database etc...
	//This method should not block for a long time

	try
	{
		USES_CONVERSION;
		CString sKBytes;
		sKBytes.Format(_T("%d"), nKBytesTransfered);

		CString sTotal = CString(_T("LOGOUT\t")) + CString(W2T(sUserName)) + CString(_T("; ")) + CString(W2T(sTime)) + CString(_T("; ")) + sKBytes;
		OutputDebugString(sTotal);
	}
	catch(...)
	{

	}

	return S_OK;
}

