// UnrealSampleLog.h : Declaration of the CUnrealSampleLog

#pragma once
#include "resource.h"       // main symbols

#include "SampleUserLog.h"


// CUnrealSampleLog

class ATL_NO_VTABLE CUnrealSampleLog : 
	public CComObjectRootEx<CComMultiThreadModel>,
	public CComCoClass<CUnrealSampleLog, &CLSID_UnrealSampleLog>,
	public ISupportErrorInfo,
	public IDispatchImpl<IWorker, &IID_IWorker, &LIBID_UUserLogLib, /*wMajor =*/ 1, /*wMinor =*/ 0>
{
public:
	CUnrealSampleLog()
	{
	}

DECLARE_REGISTRY_RESOURCEID(IDR_UNREALSAMPLELOG)


BEGIN_COM_MAP(CUnrealSampleLog)
	COM_INTERFACE_ENTRY(IDispatch)
	COM_INTERFACE_ENTRY(ISupportErrorInfo)
	COM_INTERFACE_ENTRY(IWorker)
END_COM_MAP()

// ISupportsErrorInfo
	STDMETHOD(InterfaceSupportsErrorInfo)(REFIID riid);

	DECLARE_PROTECT_FINAL_CONSTRUCT()

	HRESULT FinalConstruct()
	{
		return S_OK;
	}
	
	void FinalRelease() 
	{
	}

	STDMETHOD(LogIn)(BSTR sUserName, BSTR sTime, BSTR sResourceName);
	STDMETHOD(LogOut)(BSTR sUserName, BSTR sTime, LONG nKBytesTransfered);


public:

};

OBJECT_ENTRY_AUTO(__uuidof(UnrealSampleLog), CUnrealSampleLog)
