// StreamingMediaPlayerView.h : interface of the CStreamingMediaPlayerView class
//
/////////////////////////////////////////////////////////////////////////////

#pragma once

class CStreamingMediaPlayerView : public CWindowImpl< CStreamingMediaPlayerView , CAxWindow >
{
public:

	DECLARE_WND_SUPERCLASS("VideoWindow", CAxWindow::GetWndClassName());

	BOOL PreTranslateMessage(MSG* pMsg)
	{
		pMsg;
		return FALSE;
	}

	HWND Create(HWND hwndOwner, RECT& rcPos, DWORD dwStyle = 0, DWORD dwExStyle = 0, UINT nID = 0, LPVOID lpCreateParam = NULL)
	{
		CLSID clsid;
		HRESULT hr = CLSIDFromProgID(L"Unreal.MediaPlayer", &clsid);
		LPOLESTR pstrCLSID_CAxOwnControl = NULL;
		StringFromCLSID(clsid, &pstrCLSID_CAxOwnControl);
		USES_CONVERSION;
		
		HWND hwnd =  CWindowImpl<CStreamingMediaPlayerView , CAxWindow>::Create(hwndOwner, rcPos, OLE2T(pstrCLSID_CAxOwnControl ),  WS_CHILD | WS_VISIBLE | WS_CLIPSIBLINGS | WS_CLIPCHILDREN, WS_EX_CLIENTEDGE);
		CoTaskMemFree(pstrCLSID_CAxOwnControl);
		
		return hwnd;
	}

	BEGIN_MSG_MAP(CStreamingMediaPlayerView)
		MESSAGE_HANDLER(WM_PAINT, OnPaint)
	END_MSG_MAP()


// Handler prototypes (uncomment arguments if needed):
//	LRESULT MessageHandler(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
//	LRESULT CommandHandler(WORD /*wNotifyCode*/, WORD /*wID*/, HWND /*hWndCtl*/, BOOL& /*bHandled*/)
//	LRESULT NotifyHandler(int /*idCtrl*/, LPNMHDR /*pnmh*/, BOOL& /*bHandled*/)

	LRESULT OnPaint(UINT /*uMsg*/, WPARAM /*wParam*/, LPARAM /*lParam*/, BOOL& /*bHandled*/)
	{
		CPaintDC dc(m_hWnd);

		//TODO: Add your drawing code here

		return 0;
	}
};
